| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
tif_tile.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Functions
ttile_t | TIFFComputeTile (TIFF *tif, uint32 x, uint32 y, uint32 z, tsample_t s)
int | TIFFCheckTile (TIFF *tif, uint32 x, uint32 y, uint32 z, tsample_t s)
ttile_t | TIFFNumberOfTiles (TIFF *tif)
tsize_t | TIFFTileRowSize (TIFF *tif)
tsize_t | TIFFVTileSize (TIFF *tif, uint32 nrows)
tsize_t | TIFFTileSize (TIFF *tif)
void | TIFFDefaultTileSize (TIFF *tif, uint32 *tw, uint32 *th)
void | _TIFFDefaultTileSize (TIFF *tif, uint32 *tw, uint32 *th)

## Function Documentation

void _TIFFDefaultTileSize | ( | TIFF * | tif,
|  | uint32 * | tw,
|  | uint32 * | th
| ) |  |

Definition at line 259 of file tif_tile.c.

int TIFFCheckTile | ( | TIFF * | tif,
|  | uint32 | x,
|  | uint32 | y,
|  | uint32 | z,
|  | tsample_t | s
| ) |  |

Definition at line 105 of file tif_tile.c.

ttile_t TIFFComputeTile | ( | TIFF * | tif,
|  | uint32 | x,
|  | uint32 | y,
|  | uint32 | z,
|  | tsample_t | s
| ) |  |

Definition at line 68 of file tif_tile.c.

void TIFFDefaultTileSize | ( | TIFF * | tif,
|  | uint32 * | tw,
|  | uint32 * | th
| ) |  |

Definition at line 253 of file tif_tile.c.

ttile_t TIFFNumberOfTiles | ( | TIFF * | tif | ) |

Definition at line 145 of file tif_tile.c.

tsize_t TIFFTileRowSize | ( | TIFF * | tif | ) |

Definition at line 174 of file tif_tile.c.

tsize_t TIFFTileSize | ( | TIFF * | tif | ) |

Definition at line 241 of file tif_tile.c.

tsize_t TIFFVTileSize | ( | TIFF * | tif,
|  | uint32 | nrows
| ) |  |

Definition at line 193 of file tif_tile.c.